- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# UnaryOp Struct Template Reference

UnaryOp is a generic class which symbolised binary operator. More...

List of all members.

## Detailed Description

### template<class T>
struct vcsn::algebra::UnaryOp< T >

UnaryOp is a generic class which symbolised binary operator.

UnaryOp is integrated in the pattern matching system to permit a factorization of the accessors.

Definition at line 62 of file krat_exp_pattern.hh.